suix_queryEvents

Extended API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Return list of events for a specified query criteria.

Parameters

KeyRequiredTypeDetail
query✅EventFilterthe event query criteria.
cursor❌ObjectIDAn optional paging cursor. If provided, the query will start from the next item after the specified cursor. Default to start from the first item if not specified.
limit❌uintMaximum item returned per page, default to [QUERY_MAX_RESULT_LIMIT][QUERY_MAX_RESULT_LIMIT] if not specified.
descending_order❌booleanquery result ordering, default to false (ascending order), oldest record first.
"params": [
  {
    "MoveModule": {
      "package": "0xbb1531504c9c3235d3cd637ed9573cbe18461255b4175a1cb1e1b07b8aa8e11b",
      "module": "showcase"
    }
  },
  {
    "txDigest": "AtLEaJSGuZxmfveN5Eis15LQ9jhc2ry6UkesBkgDu6br",
    "eventSeq": "0"
  },
  3,
  false
]

Result

EventPage: <Page_for_Event_and_EventID> Return the events for specified query criteria.

Example

Request

curl <your-endpoint> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "suix_queryEvents",
    "params": [
        {
            "MoveModule": {
                "package": "0xbb1531504c9c3235d3cd637ed9573cbe18461255b4175a1cb1e1b07b8aa8e11b",
                "module": "showcase"
            }
        },
        {
            "txDigest": "AtLEaJSGuZxmfveN5Eis15LQ9jhc2ry6UkesBkgDu6br",
            "eventSeq": "0"
        },
        3,
        false
    ]
}
'

Response

{
    "jsonrpc": "2.0",
    "result": {
        "data": [
            {
                "id": {
                    "txDigest": "AtLEaJSGuZxmfveN5Eis15LQ9jhc2ry6UkesBkgDu6br",
                    "eventSeq": "1"
                },
                "packageId": "0xbb1531504c9c3235d3cd637ed9573cbe18461255b4175a1cb1e1b07b8aa8e11b",
                "transactionModule": "showcase",
                "sender": "0xb9588fae7598f28d25da4d8087172b469bbe65a54185615a41910a23e3b8368a",
                "type": "0x2::display::VersionUpdated<0xbb1531504c9c3235d3cd637ed9573cbe18461255b4175a1cb1e1b07b8aa8e11b::showcase::Showcase>",
                "parsedJson": {
                    "fields": {
                        "contents": [
                            {
                                "key": "name",
                                "value": "{name}"
                            },
                            {
                                "key": "link",
                                "value": "https://suia.io/suia/{id}"
                            },
                            {
                                "key": "image_url",
                                "value": "{image_url}"
                            },
                            {
                                "key": "description",
                                "value": "{description}"
                            },
                            {
                                "key": "project_url",
                                "value": "https://suia.io/"
                            },
                            {
                                "key": "creator",
                                "value": "{creator}"
                            }
                        ]
                    },
                    "id": "0xa306db0c6d3f5cbb8169143c22da5b61caf3576f1b3f3e77537aef8d4ca4b515",
                    "version": 1
                },
                "bcs": "2pfuATw9xfkAXu6FQeUVNup55cmCciuFzkej7PYi7KizSHKM1fZdH6eJFHwDqLjxcE5dob2jqaReyDNFgSnDPZc54pVSg9kchJw2sj3V45Dr1b7kchFzcu1kSU3XfGjQbgJo336i7mUr2FX6ont1M78kasgb4YM5W4SBg7aCtN7MPfdosFbgLvxL6yUyEMxkxojfBzKsUfSragrB4BY1EkaPWHkcKd9aTHyAs1r4DmgZ2",
                "timestampMs": "1683514662087"
            }
        ],
        "nextCursor": {
            "txDigest": "AtLEaJSGuZxmfveN5Eis15LQ9jhc2ry6UkesBkgDu6br",
            "eventSeq": "1"
        },
        "hasNextPage": false
    },
    "id": 1
}
Path Params
string
required
Defaults to 8f170bbbc110407597b2ded8474747db
Body Params
string
Defaults to { "jsonrpc": "2.0", "id": 1, "method": "suix_queryTransactionBlocks", "params": [ { "filter": { "InputObject": "0xbb1531504c9c3235d3cd637ed9573cbe18461255b4175a1cb1e1b07b8aa8e11b" }, "options": null } ] }
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json